--- title: "conversation_messages" slug: "conversation-messages" updated: 2024-10-25T11:02:05Z published: 2024-10-25T11:02:05Z canonical: "docs.voiso.com/conversation-messages" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.voiso.com/llms.txt > Use this file to discover all available pages before exploring further. # conversation_messages Get/api/conversation/v1/conversations/{uuid}/messages Get all events and messages of conversation Path parametersuuidstringRequired The conversation (interaction) uuid Query parametersoffsetinteger The number of items to skip before starting to collect the result set limitinteger The number of items in the result set Responses200 Successful response Expand Allobject messages Array of object (message) object idstring Example51c14364-952b-43de-a9d0-d9f30bafc926 conversation_idstring Example70e8de7f-3d98-4af0-9315-9d2dff75745d content_typestring | null Valid values[ "text", "image", "document", "video", "voice", "audio", "template", null ]Exampletext content_dataobject textstring ExampleWelcome to Voiso activitystring Valid values[ "message", "event" ]Examplemessage activity_typestring Valid values[ "inbound", "outbound", "whisper", "accept", "forward_to_queue", "accept_forwarding", "intercept", "archive", "terminate", "disconnect", "start_monitoring", "stop_monitoring", "start_whispering", "stop_whispering", "start_barging_in", "stop_barging_in", "business_initiated_wait", "force_close" ]Exampleinbound participantobject idinteger Example77572 typestring Valid values[ "agent", "supervisor", "contact" ]Examplecontact attributesobject statusstring | null Valid values[ "initial", "accepted", "waiting", "ready", "sent", "delivered", "seen", "deleted", "failed", null ]Exampleseen updated_atstring Example2023-09-12T11:29:38.642Z” created_atstring Example2023-09-12T11:29:38.000Z metadataobject (offset_based_pagination_metadata) limitinteger The number of results Example25 offsetinteger The number of records that need to be skipped Example0 totalinteger The total count of items Example10 401 Invalid API key object errorstring ExampleThe API key specified is invalid 403 No access to API object errorstring ExampleForbidden 404 Conversation not found object errorstring ExampleNot found 424 Specified parameters are not valid Expand Allobject errorsobject limit Array of string string Examplemust be greater than 0